Package classycle.renderer

# Class XMLAtomicVertexRenderer

java.lang.Object
classycle.renderer.XMLAtomicVertexRenderer

All Implemented Interfaces:
  `AtomicVertexRenderer`

Direct Known Subclasses:
  `XMLClassRenderer`, `XMLPackageRenderer`

public abstract class XMLAtomicVertexRenderer extends Object implements AtomicVertexRenderer
XML renderer of an `AtomicVertex` with `NameAttributes`.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`XMLAtomicVertexRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`getElement()`
`protected abstract String`
`getRefElement()`
`protected abstract AtomicVertexRenderer`
`getVertexRenderer()`
`String`
`render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)`
Renderes the specified vertex.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLAtomicVertexRenderer

public XMLAtomicVertexRenderer()

## Method Details

### render

public String render(AtomicVertex vertex, StrongComponent cycle, int layerIndex)
Renderes the specified vertex. It is assumed that the vertex attributes are of the type `ClassAttributes`.

Specified by:
  `render` in interface `AtomicVertexRenderer`
Parameters:
  `vertex` - Vertex to be rendered.
  `cycle` - Cycle to which `vertex` belongs. Will be `null` if it does not belong to a cycle (i.e. a strong component with more than one element).
  `layerIndex` - Index of the layer to which `vertex` belongs.
Returns:
  the rendered vertex.

### getVertexRenderer

protected abstract AtomicVertexRenderer getVertexRenderer()

### getElement

protected abstract String getElement()

### getRefElement

protected abstract String getRefElement()